Bug 521853 (CVE-2009-3085)

Summary: CVE-2009-3085 Pidgin: NULL pointer dereference by processing a custom smiley (DoS)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: kreilly, mjc, wtogami
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://pidgin.im/news/security/?id=37
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-29 09:11:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 522536, 522537, 522538, 522539, 833962    
Bug Blocks:    

Description Jan Lieskovsky 2009-09-08 14:23:27 UTC
A NULL pointer dereference flaw was found in the Pidgin XMPP protocol plugin,
by processing error iq response(s) when trying to fetch a custom smiley.
A remote client could send a specially-crafted iq error response, leading
to a denial of service (Pidgin crash).

References:
-----------
http://pidgin.im/news/security/?id=37

Upstream patch:
---------------
http://developer.pidgin.im/viewmtn/revision/info/fd5955618eddcd84d522b30ff11102f9601f38c8

Credit:
-------
Florob, Waqas, Paul Aurich and Marcus Lundblad

Comment 1 Jan Lieskovsky 2009-09-08 14:25:46 UTC
This issue does NOT affect the version of Pidgin package, as shipped
with Red Hat Enterprise Linux 3.

This issue affects the versions of Pidgin package, as shipped
with Red Hat Enterprise Linux 4 and 5. 

This issue was already addressed in the versions of Pidgin
package, as shipped with Fedora 10 and 11. Relevant versions:

Fedora 10: pidgin-2.6.2-1.fc10.1
Fedora 11: pidgin-2.6.2-1.fc11

Comment 2 Jan Lieskovsky 2009-09-09 15:36:06 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3085 to
the following vulnerability:

The XMPP protocol plugin in libpurple in Pidgin before 2.6.2 does not
properly handle an error IQ stanza during an attempted fetch of a
custom smiley, which allows remote attackers to cause a denial of
service (application crash) via XHTML-IM content with cid: images.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3085
http://developer.pidgin.im/viewmtn/revision/info/fd5955618eddcd84d522b30ff11102f9601f38c8
http://www.pidgin.im/news/security/index.php?id=37
http://www.securityfocus.com/bid/36277
http://secunia.com/advisories/36601

Comment 6 errata-xmlrpc 2009-09-21 15:46:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1453 https://rhn.redhat.com/errata/RHSA-2009-1453.html